| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Typedefs | Functions
videoWindowsMediaFoundation.h File Reference
`#include <ARX/ARVideo/video.h>`
Include dependency graph for videoWindowsMediaFoundation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef struct _AR2VideoParamWinMFT | AR2VideoParamWinMFT

## Functions
int | ar2VideoDispOptionWinMF (void)
ARVideoSourceInfoListT * | ar2VideoCreateSourceInfoListWinMF (const char *config)
AR2VideoParamWinMFT * | ar2VideoOpenWinMF (const char *config)
int | ar2VideoCloseWinMF (AR2VideoParamWinMFT *vid)
int | ar2VideoGetIdWinMF (AR2VideoParamWinMFT *vid, ARUint32 *id0, ARUint32 *id1)
int | ar2VideoGetSizeWinMF (AR2VideoParamWinMFT *vid, int *x, int *y)
AR_PIXEL_FORMAT | ar2VideoGetPixelFormatWinMF (AR2VideoParamWinMFT *vid)
AR2VideoBufferT * | ar2VideoGetImageWinMF (AR2VideoParamWinMFT *vid)
int | ar2VideoCapStartWinMF (AR2VideoParamWinMFT *vid)
int | ar2VideoCapStopWinMF (AR2VideoParamWinMFT *vid)
int | ar2VideoGetParamiWinMF (AR2VideoParamWinMFT *vid, const int paramName, int *value)
int | ar2VideoSetParamiWinMF (AR2VideoParamWinMFT *vid, const int paramName, const int value)
int | ar2VideoGetParamdWinMF (AR2VideoParamWinMFT *vid, const int paramName, double *value)
int | ar2VideoSetParamdWinMF (AR2VideoParamWinMFT *vid, const int paramName, const double value)
int | ar2VideoGetParamsWinMF (AR2VideoParamWinMFT *vid, const int paramName, char **value)
int | ar2VideoSetParamsWinMF (AR2VideoParamWinMFT *vid, const int paramName, const char *value)

## Typedef Documentation

## ◆ AR2VideoParamWinMFT

typedef struct _AR2VideoParamWinMFT AR2VideoParamWinMFT

## Function Documentation

## ◆ ar2VideoCapStartWinMF()

int ar2VideoCapStartWinMF | ( | AR2VideoParamWinMFT * | vid | ) |

## ◆ ar2VideoCapStopWinMF()

int ar2VideoCapStopWinMF | ( | AR2VideoParamWinMFT * | vid | ) |

## ◆ ar2VideoCloseWinMF()

int ar2VideoCloseWinMF | ( | AR2VideoParamWinMFT * | vid | ) |

## ◆ ar2VideoCreateSourceInfoListWinMF()

ARVideoSourceInfoListT * ar2VideoCreateSourceInfoListWinMF | ( | const char * | config | ) |

## ◆ ar2VideoDispOptionWinMF()

int ar2VideoDispOptionWinMF | ( | void |  | ) |

## ◆ ar2VideoGetIdWinMF()

int ar2VideoGetIdWinMF | ( | AR2VideoParamWinMFT * | vid,
|  | ARUint32 * | id0,
|  | ARUint32 * | id1
| ) |  |

## ◆ ar2VideoGetImageWinMF()

AR2VideoBufferT * ar2VideoGetImageWinMF | ( | AR2VideoParamWinMFT * | vid | ) |

## ◆ ar2VideoGetParamdWinMF()

int ar2VideoGetParamdWinMF | ( | AR2VideoParamWinMFT * | vid,
|  | const int | paramName,
|  | double * | value
| ) |  |

## ◆ ar2VideoGetParamiWinMF()

int ar2VideoGetParamiWinMF | ( | AR2VideoParamWinMFT * | vid,
|  | const int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetParamsWinMF()

int ar2VideoGetParamsWinMF | ( | AR2VideoParamWinMFT * | vid,
|  | const int | paramName,
|  | char ** | value
| ) |  |

## ◆ ar2VideoGetPixelFormatWinMF()

AR_PIXEL_FORMAT ar2VideoGetPixelFormatWinMF | ( | AR2VideoParamWinMFT * | vid | ) |

## ◆ ar2VideoGetSizeWinMF()

int ar2VideoGetSizeWinMF | ( | AR2VideoParamWinMFT * | vid,
|  | int * | x,
|  | int * | y
| ) |  |

## ◆ ar2VideoOpenWinMF()

AR2VideoParamWinMFT * ar2VideoOpenWinMF | ( | const char * | config | ) |

## ◆ ar2VideoSetParamdWinMF()

int ar2VideoSetParamdWinMF | ( | AR2VideoParamWinMFT * | vid,
|  | const int | paramName,
|  | const double | value
| ) |  |

## ◆ ar2VideoSetParamiWinMF()

int ar2VideoSetParamiWinMF | ( | AR2VideoParamWinMFT * | vid,
|  | const int | paramName,
|  | const int | value
| ) |  |

## ◆ ar2VideoSetParamsWinMF()

int ar2VideoSetParamsWinMF | ( | AR2VideoParamWinMFT * | vid,
|  | const int | paramName,
|  | const char * | value
| ) |  |